CMSIS-NN: arm_avgpool_s8.c File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
arm_avgpool_s8.c File Reference

## Functions

arm_status | arm_avgpool_s8 (const int dim_src_height, const int dim_src_width, const int dim_dst_height, const int dim_dst_width, const int stride_height, const int stride_width, const int dim_kernel_height, const int dim_kernel_width, const int padding_height, const int padding_width, const int act_min, const int act_max, const int ch_src, int8_t *src, int16_t *bufferA, int8_t *dst)
| s8 average pooling function More...
int32_t | arm_avgpool_s8_get_buffer_size (const int dim_dst_width, const int ch_src)
| Get the required buffer size for S8 average pooling function. More...